import React from "react";
import { shallow } from "enzyme";
import DeckGL from "deck.gl";
import MapOverlay from "./MapOverlay";
describe("MapOverlay", function () {
  var data = [{
    type: "Feature",
    geometry: {
      type: "Point",
      coordinates: [0, 0]
    },
    properties: {
      name: "Null Island"
    }
  }];
  var extruded = true;
  var opacity = 0.8;
  var defaultProps = {
    data: data,
    opacity: opacity,
    extruded: extruded
  };
  var wrapper = shallow(React.createElement(MapOverlay, defaultProps));
  it("should render a div wrapper", function () {
    expect(wrapper.find("div")).length(1);
  });
  it("should render with the same class name", function () {
    expect(wrapper.find("DeckGL")).length(1);
  });
  it("should render a DeckGL component", function () {
    expect(wrapper.find(DeckGL)).length(1);
  });
});